function updateGaugeT(g) {
    g.update({
        units: "Temperature F",
        minValue: -30,
        maxValue: 140,
        valueInt: 3,
        majorTicks: [
            "-30",
            "-20",
            "-10",
            "0",
            "10",
            "20",
            "30",
            "40",
            "50",
            "60",
            "70",
            "80",
            "90",
            "100",
            "110",
            "120",
            "130",
            "140"
        ],
        strokeTicks: true,
        highlights: [
            {
                "from": -30,
                "to": 0,
                "color": "rgba(200, 50, 50, .75)"
            },
            {
                "from": 0,
                "to": 32,
                "color": "#FFBF00"
            },
            {
                "from": 90,
                "to": 100,
                "color": "#FFBF00"
            },
            {
                "from": 100,
                "to": 140,
                "color": "rgba(200, 50, 50, .75)"
            }
        ]
    });
}

function updateGaugeH(g) {
    g.update({
        units: "Humidity (%)",
        minValue: 0,
        maxValue: 100,
        valueInt: 3,
        majorTicks: [
            "0",
            "10",
            "20",
            "30",
            "40",
            "50",
            "60",
            "70",
            "80",
            "90",
            "100"
        ],
        strokeTicks: true,
        highlights: [
            {
                "from": 0,
                "to": 20,
                "color": "#FFBF00"
            },
            {
                "from": 80,
                "to": 100,
                "color": "#FFBF00"
            }
        ]
    });
}

function updateGaugeB(g) {
    g.update({
        units: "Pressure (\"Hg)",
        minValue: 28,
        maxValue: 32,
        valueInt: 2,
        majorTicks: [
            "28",
            "28.5",
            "29",
            "29.5",
            "30",
            "30.5",
            "31",
            "31.5",
            "32"
        ],
        strokeTicks: true,
        highlights: [
            {
                "from": 28,
                "to": 29,
                "color": "rgba(200, 50, 50, .75)"
            }
        ]
    });
}

// Get current sensor readings when the page loads  
//window.addEventListener('load', getReadings);
// Put gauge variables in an array
let Gvar = [];

// Row 1 =========================

// Create Gauge
Gvar[0] = new RadialGauge({
    renderTo: 'gauge-0',
    width: 190,
    height: 190,
    colorValueBoxRect: "#049faa",
    colorValueBoxRectEnd: "#049faa",
    colorValueBoxBackground: "#f1fbfc",
    valueDec: 1,
    valueInt: 3,
    strokeTicks: true,
    colorPlate: "#fff",
    borderShadowWidth: 0,
    borders: false,
    needleType: "line",
    colorNeedle: "#007F80",
    colorNeedleEnd: "#007F80",
    needleWidth: 2,
    needleCircleSize: 3,
    colorNeedleCircleOuter: "#007F80",
    needleCircleOuter: true,
    needleCircleInner: false,
    animationDuration: 1500,
    animationRule: "linear"
}).draw();

// Create Gauge
Gvar[1] = new RadialGauge({
    renderTo: 'gauge-1',
    width: 190,
    height: 190,
    colorValueBoxRect: "#049faa",
    colorValueBoxRectEnd: "#049faa",
    colorValueBoxBackground: "#f1fbfc",
    valueDec: 1,
    valueInt: 3,
    strokeTicks: true,
    colorPlate: "#fff",
    borderShadowWidth: 0,
    borders: false,
    needleType: "line",
    colorNeedle: "#007F80",
    colorNeedleEnd: "#007F80",
    needleWidth: 2,
    needleCircleSize: 3,
    colorNeedleCircleOuter: "#007F80",
    needleCircleOuter: true,
    needleCircleInner: false,
    animationDuration: 1500,
    animationRule: "linear"
}).draw();

// Create Gauge
Gvar[2] = new RadialGauge({
    renderTo: 'gauge-2',
    width: 190,
    height: 190,
    colorValueBoxRect: "#049faa",
    colorValueBoxRectEnd: "#049faa",
    colorValueBoxBackground: "#f1fbfc",
    valueDec: 1,
    valueInt: 3,
    strokeTicks: true,
    colorPlate: "#fff",
    borderShadowWidth: 0,
    borders: false,
    needleType: "line",
    colorNeedle: "#007F80",
    colorNeedleEnd: "#007F80",
    needleWidth: 2,
    needleCircleSize: 3,
    colorNeedleCircleOuter: "#007F80",
    needleCircleOuter: true,
    needleCircleInner: false,
    animationDuration: 1500,
    animationRule: "linear"
}).draw();

// Row 2 =========================

// Create Gauge
Gvar[3] = new RadialGauge({
    renderTo: 'gauge-3',
    width: 190,
    height: 190,
    colorValueBoxRect: "#049faa",
    colorValueBoxRectEnd: "#049faa",
    colorValueBoxBackground: "#f1fbfc",
    valueDec: 1,
    valueInt: 3,
    strokeTicks: true,
    colorPlate: "#fff",
    borderShadowWidth: 0,
    borders: false,
    needleType: "line",
    colorNeedle: "#007F80",
    colorNeedleEnd: "#007F80",
    needleWidth: 2,
    needleCircleSize: 3,
    colorNeedleCircleOuter: "#007F80",
    needleCircleOuter: true,
    needleCircleInner: false,
    animationDuration: 1500,
    animationRule: "linear"
}).draw();

// Create Gauge
Gvar[4] = new RadialGauge({
    renderTo: 'gauge-4',
    width: 190,
    height: 190,
    units: "Humidity (%)",
    minValue: 0,
    maxValue: 100,
    colorValueBoxRect: "#049faa",
    colorValueBoxRectEnd: "#049faa",
    colorValueBoxBackground: "#f1fbfc",
    valueDec: 1,
    valueInt: 3,
    //minorTicks: 5,
    strokeTicks: true,
    colorPlate: "#fff",
    borderShadowWidth: 0,
    borders: false,
    needleType: "line",
    colorNeedle: "#007F80",
    colorNeedleEnd: "#007F80",
    needleWidth: 2,
    needleCircleSize: 3,
    colorNeedleCircleOuter: "#007F80",
    needleCircleOuter: true,
    needleCircleInner: false,
    animationDuration: 1500,
    animationRule: "linear"
}).draw();

// Create Gauge
Gvar[5] = new RadialGauge({
    renderTo: 'gauge-5',
    width: 190,
    height: 190,
    colorValueBoxRect: "#049faa",
    colorValueBoxRectEnd: "#049faa",
    colorValueBoxBackground: "#f1fbfc",
    valueDec: 1,
    valueInt: 3,
    //minorTicks: 5,
    strokeTicks: true,
    colorPlate: "#fff",
    borderShadowWidth: 0,
    borders: false,
    needleType: "line",
    colorNeedle: "#007F80",
    colorNeedleEnd: "#007F80",
    needleWidth: 2,
    needleCircleSize: 3,
    colorNeedleCircleOuter: "#007F80",
    needleCircleOuter: true,
    needleCircleInner: false,
    animationDuration: 1500,
    animationRule: "linear"
}).draw();

// Row 3 =========================

// Create Gauge
Gvar[6] = new RadialGauge({
    renderTo: 'gauge-6',
    width: 190,
    height: 190,
    colorValueBoxRect: "#049faa",
    colorValueBoxRectEnd: "#049faa",
    colorValueBoxBackground: "#f1fbfc",
    valueDec: 1,
    valueInt: 3,
    //minorTicks: 5,
    strokeTicks: true,
    colorPlate: "#fff",
    borderShadowWidth: 0,
    borders: false,
    needleType: "line",
    colorNeedle: "#007F80",
    colorNeedleEnd: "#007F80",
    needleWidth: 2,
    needleCircleSize: 3,
    colorNeedleCircleOuter: "#007F80",
    needleCircleOuter: true,
    needleCircleInner: false,
    animationDuration: 1500,
    animationRule: "linear"
}).draw();

// Create Gauge
Gvar[7] = new RadialGauge({
    renderTo: 'gauge-7',
    width: 190,
    height: 190,
    colorValueBoxRect: "#049faa",
    colorValueBoxRectEnd: "#049faa",
    colorValueBoxBackground: "#f1fbfc",
    valueDec: 1,
    valueInt: 3,
    //minorTicks: 5,
    strokeTicks: true,
    colorPlate: "#fff",
    borderShadowWidth: 0,
    borders: false,
    needleType: "line",
    colorNeedle: "#007F80",
    colorNeedleEnd: "#007F80",
    needleWidth: 2,
    needleCircleSize: 3,
    colorNeedleCircleOuter: "#007F80",
    needleCircleOuter: true,
    needleCircleInner: false,
    animationDuration: 1500,
    animationRule: "linear"
}).draw();

// Create Gauge
Gvar[8] = new RadialGauge({
    renderTo: 'gauge-8',
    width: 190,
    height: 190,
    colorValueBoxRect: "#049faa",
    colorValueBoxRectEnd: "#049faa",
    colorValueBoxBackground: "#f1fbfc",
    valueDec: 1,
    valueInt: 3,
    //minorTicks: 5,
    strokeTicks: true,
    colorPlate: "#fff",
    borderShadowWidth: 0,
    borders: false,
    needleType: "line",
    colorNeedle: "#007F80",
    colorNeedleEnd: "#007F80",
    needleWidth: 2,
    needleCircleSize: 3,
    colorNeedleCircleOuter: "#007F80",
    needleCircleOuter: true,
    needleCircleInner: false,
    animationDuration: 1500,
    animationRule: "linear"
}).draw();

// End Rows **********************************************************************


// draw custom gauge details
for (i = 0; i < 9; i++) {
    switch (G[i]) {
        case "H":
            updateGaugeH(Gvar[i]);
            break;
        case "B":
            updateGaugeB(Gvar[i]);
            break;
        default:
            updateGaugeT(Gvar[i]);
    }
}

// Set titles
document.getElementById("g00").innerHTML = titleText[0];
document.getElementById("g01").innerHTML = titleText[1];
document.getElementById("g02").innerHTML = titleText[2];
//document.getElementById("g02").innerHTML = "Test Stuff";

document.getElementById("g03").innerHTML = titleText[3];
document.getElementById("g04").innerHTML = titleText[4];
document.getElementById("g05").innerHTML = titleText[5];

document.getElementById("g06").innerHTML = titleText[6];
document.getElementById("g07").innerHTML = titleText[7];
document.getElementById("g08").innerHTML = titleText[8];
